@echo off
rem # ====================================================================
rem #
rem # OpenCCM: The Open CORBA Component Model Platform
rem # Copyright (C) 2004 INRIA - USTL - LIFL - GOAL
rem # Contact: openccm@objectweb.org
rem #
rem # This library is free software; you can redistribute it and/or
rem # modify it under the terms of the GNU Lesser General Public
rem # License as published by the Free Software Foundation; either
rem # version 2.1 of the License, or any later version.
rem #
rem # This library is distributed in the hope that it will be useful,
rem # but WITHOUT ANY WARRANTY; without even the implied warranty of
rem # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
rem # Lesser General Public License for more details.
rem #
rem # You should have received a copy of the GNU Lesser General Public
rem # License along with this library; if not, write to the Free Software
rem # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
rem # USA
rem #
rem # Initial developer(s): Philippe Merle.
rem # Contributor(s): Christophe Demarey.
rem #
rem # ====================================================================
rem #
rem # Stopping the Comanche Server.
rem #
rem # ====================================================================
rem # $Id$
rem # ====================================================================

rem # We first assume the whole OpenCCM environment has been sourced
set COMANCHE_HOMEDIR=%OpenCCM_HOMEDIR%
set COMANCHE_CONFIGDIR=%OpenCCM_CONFIG_DIR%

rem # then, in case we only sourced the Launcher environment
if "%COMANCHE_HOMEDIR%" == "" goto standalone
goto homedir_set

:standalone
set COMANCHE_HOMEDIR=%OW_HOMEDIR%
set COMANCHE_CONFIGDIR=%OW_CONFIGDIR%
goto homedir_set

:homedir_set
rem # Anyway, the Launcher needs to know the used HOMEDIR
set OW_HOMEDIR=%COMANCHE_HOMEDIR%

rem # Check if the Comanche Server is started.
if exist "%COMANCHE_CONFIGDIR%\Comanche.PID" goto :do_stop

echo Error: The Comanche Server is not started!
goto :eof

:do_stop
echo The Comanche Server will be stopped...
kill "F%COMANCHE_CONFIGDIR%\Comanche.PID" > nul

rem wait for window to release the files use by the process killed (0s)
call sleep 2

rem # Remove the associated files.
del "%COMANCHE_CONFIGDIR%\Comanche.PID" 
del "%COMANCHE_CONFIGDIR%\Comanche.output"
del "%COMANCHE_CONFIGDIR%\Comanche.output.tmp"

echo The Comanche Server is stopped.
